[
  uuid(9773AB5C-0FFE-481A-AB8A-8E4084D6D13C), 
  version(1.4), 
  helpstring("Irvine ライブラリ")
    
]
library Irvine
{

  importlib("stdole2.tlb");
  importlib("stdvcl40.dll");

  [
    uuid(1E6DA0A3-6449-4864-8798-417DBB297AA5), 
    version(1.0), 
    helpstring("Api オブジェクト のイベント インターフェース")
  ]
   dispinterface IApiEvents
  {
    properties:
    methods:
  };

  [
    uuid(A79D8FA5-734E-4CA1-8931-FC76FAF5FCFE), 
    version(1.4), 
    helpstring("Api オブジェクト")
  ]
  coclass Api
  {
    [default] interface IApi;
    [default, source] dispinterface IApiEvents;
  };

  [
    uuid(C7805EA7-A9A4-46A2-8B35-305326DB1E5C), 
    version(1.0), 
    helpstring("Item オブジェクト のディスパッチ インターフェース"), 
    dual, 
    oleautomation
  ]
   interface IItem: IDispatch
  {
    [
    propget, 
    id(0x00000001)
    ]
    HRESULT _stdcall Data([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000001)
    ]
    HRESULT _stdcall Data([in] BSTR Value );
    [
    propget, 
    id(0x00000002)
    ]
    HRESULT _stdcall Url([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000002)
    ]
    HRESULT _stdcall Url([in] BSTR Value );
    [
    propget, 
    id(0x00000003)
    ]
    HRESULT _stdcall Folder([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000003)
    ]
    HRESULT _stdcall Folder([in] BSTR Value );
    [
    propget, 
    id(0x00000004)
    ]
    HRESULT _stdcall Filename([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000004)
    ]
    HRESULT _stdcall Filename([in] BSTR Value );
    [
    propget, 
    id(0x00000005)
    ]
    HRESULT _stdcall Referer([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000005)
    ]
    HRESULT _stdcall Referer([in] BSTR Value );
    [
    propget, 
    id(0x00000006)
    ]
    HRESULT _stdcall Cookie([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000006)
    ]
    HRESULT _stdcall Cookie([in] BSTR Value );
    [
    propget, 
    id(0x00000007)
    ]
    HRESULT _stdcall Check([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000007)
    ]
    HRESULT _stdcall Check([in] BSTR Value );
    [
    propget, 
    id(0x00000008)
    ]
    HRESULT _stdcall SplitCount([out, retval] long * Value );
    [
    propput, 
    id(0x00000008)
    ]
    HRESULT _stdcall SplitCount([in] long Value );
    [
    propget, 
    id(0x00000009)
    ]
    HRESULT _stdcall Authorization([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000009)
    ]
    HRESULT _stdcall Authorization([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x0000000A)
    ]
    HRESULT _stdcall UserId([out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000000A)
    ]
    HRESULT _stdcall UserId([in] BSTR Value );
    [
    propget, 
    id(0x0000000B)
    ]
    HRESULT _stdcall Password([out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000000B)
    ]
    HRESULT _stdcall Password([in] BSTR Value );
    [
    propget, 
    id(0x0000000C)
    ]
    HRESULT _stdcall RegistDate([out, retval] double * Value );
    [
    propput, 
    id(0x0000000C)
    ]
    HRESULT _stdcall RegistDate([in] double Value );
    [
    propget, 
    id(0x0000000D)
    ]
    HRESULT _stdcall Success([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x0000000D)
    ]
    HRESULT _stdcall Success([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x0000000E)
    ]
    HRESULT _stdcall Comment([out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000000E)
    ]
    HRESULT _stdcall Comment([in] BSTR Value );
    [
    propget, 
    id(0x0000000F)
    ]
    HRESULT _stdcall FileSize([out, retval] long * Value );
    [
    propput, 
    id(0x0000000F)
    ]
    HRESULT _stdcall FileSize([in] long Value );
    [
    propget, 
    id(0x00000010)
    ]
    HRESULT _stdcall DLSize([out, retval] long * Value );
    [
    propput, 
    id(0x00000010)
    ]
    HRESULT _stdcall DLSize([in] long Value );
    [
    propget, 
    id(0x00000011)
    ]
    HRESULT _stdcall Error([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000011)
    ]
    HRESULT _stdcall Error([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x00000012)
    ]
    HRESULT _stdcall DownloadedFilename([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000012)
    ]
    HRESULT _stdcall DownloadedFilename([in] BSTR Value );
    [
    propget, 
    id(0x00000013)
    ]
    HRESULT _stdcall SuccessDate([out, retval] double * Value );
    [
    propput, 
    id(0x00000013)
    ]
    HRESULT _stdcall SuccessDate([in] double Value );
    [
    propget, 
    id(0x00000014)
    ]
    HRESULT _stdcall Queue([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000014)
    ]
    HRESULT _stdcall Queue([in] BSTR Value );
  };

  [
    uuid(F408C7DC-5329-4498-9C80-6C90E564955B), 
    version(1.0), 
    helpstring("Item オブジェクト")
  ]
  coclass Item
  {
    [default] interface IItem;
  };

  [
    uuid(DD7AAD75-594D-445F-8EF4-FB2244BEAD2F), 
    version(1.0), 
    helpstring("Folder オブジェクト")
  ]
  coclass Folder
  {
    [default] interface IFolder;
  };

  [
    uuid(34C0EA41-0000-4CDE-999C-CD5D04FE9AA0), 
    version(1.0), 
    helpstring("UrlManager オブジェクト のディスパッチ インターフェース"), 
    dual, 
    oleautomation
  ]
   interface IUrlManager: IDispatch
  {
    [
    id(0x00000001)
    ]
    HRESULT _stdcall Close( void );
    [
    id(0x00000002)
    ]
    HRESULT _stdcall Start( void );
    [
    id(0x00000003)
    ]
    HRESULT _stdcall Stop( void );
    [
    id(0x00000004)
    ]
    HRESULT _stdcall Clear( void );
    [
    id(0x00000005)
    ]
    HRESULT _stdcall Show( void );
    [
    propget, 
    id(0x00000006)
    ]
    HRESULT _stdcall OptionValues([in] BSTR Ident, [out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000006)
    ]
    HRESULT _stdcall OptionValues([in] BSTR Ident, [in] BSTR Value );
    [
    id(0x00000007)
    ]
    HRESULT _stdcall OptionValueExists([in] BSTR Ident, [out, retval] VARIANT_BOOL * Existed );
    [
    propget, 
    id(0x00000008)
    ]
    HRESULT _stdcall Items([in] long Index, [out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000008)
    ]
    HRESULT _stdcall Items([in] long Index, [in] BSTR Value );
    [
    propget, 
    id(0x00000009)
    ]
    HRESULT _stdcall ItemCount([out, retval] long * Value );
    [
    propget, 
    id(0x0000000A)
    ]
    HRESULT _stdcall ItemSelected([in] long Index, [out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x0000000A)
    ]
    HRESULT _stdcall ItemSelected([in] long Index, [in] VARIANT_BOOL Value );
    [
    id(0x0000000B)
    ]
    HRESULT _stdcall IsBusy( void );
    [
    id(0x0000000C)
    ]
    HRESULT _stdcall Regist( void );
    [
    propget, 
    id(0x0000000E)
    ]
    HRESULT _stdcall Depth([out, retval] long * Value );
    [
    propput, 
    id(0x0000000E)
    ]
    HRESULT _stdcall Depth([in] long Value );
    [
    propget, 
    id(0x0000000F)
    ]
    HRESULT _stdcall ThreadCount([out, retval] long * Value );
    [
    propput, 
    id(0x0000000F)
    ]
    HRESULT _stdcall ThreadCount([in] long Value );
    [
    id(0x00000010)
    ]
    HRESULT _stdcall AddQueue([in] BSTR Urls );
    [
    id(0x00000011)
    ]
    HRESULT _stdcall ClearQueue( void );
    [
    propget, 
    id(0x00000013)
    ]
    HRESULT _stdcall SelectedItemCount([out, retval] long * Value );
    [
    id(0x00000014)
    ]
    HRESULT _stdcall SelectExt( void );
    [
    propget, 
    id(0x00000015)
    ]
    HRESULT _stdcall TagAHREF([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000015)
    ]
    HRESULT _stdcall TagAHREF([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x00000016)
    ]
    HRESULT _stdcall TagIMGSRC([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000016)
    ]
    HRESULT _stdcall TagIMGSRC([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x00000017)
    ]
    HRESULT _stdcall TagFRAMESRC([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000017)
    ]
    HRESULT _stdcall TagFRAMESRC([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x00000018)
    ]
    HRESULT _stdcall TagIFRAMESRC([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000018)
    ]
    HRESULT _stdcall TagIFRAMESRC([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x00000019)
    ]
    HRESULT _stdcall TagMETAREFRESH([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000019)
    ]
    HRESULT _stdcall TagMETAREFRESH([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x0000001A)
    ]
    HRESULT _stdcall TagBGSOUND([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x0000001A)
    ]
    HRESULT _stdcall TagBGSOUND([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x0000001B)
    ]
    HRESULT _stdcall TagOther([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x0000001B)
    ]
    HRESULT _stdcall TagOther([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x0000001C)
    ]
    HRESULT _stdcall ExtHTML([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x0000001C)
    ]
    HRESULT _stdcall ExtHTML([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x0000001D)
    ]
    HRESULT _stdcall ExtTEXT([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x0000001D)
    ]
    HRESULT _stdcall ExtTEXT([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x0000001E)
    ]
    HRESULT _stdcall ExtIMAGE([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x0000001E)
    ]
    HRESULT _stdcall ExtIMAGE([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x0000001F)
    ]
    HRESULT _stdcall ExtARCHIVE([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x0000001F)
    ]
    HRESULT _stdcall ExtARCHIVE([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x00000020)
    ]
    HRESULT _stdcall ExtAUDIO([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000020)
    ]
    HRESULT _stdcall ExtAUDIO([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x00000021)
    ]
    HRESULT _stdcall ExtMOVIE([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000021)
    ]
    HRESULT _stdcall ExtMOVIE([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x00000022)
    ]
    HRESULT _stdcall ExtEtc([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000022)
    ]
    HRESULT _stdcall ExtEtc([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x00000023)
    ]
    HRESULT _stdcall ExtRegExp([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000023)
    ]
    HRESULT _stdcall ExtRegExp([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x0000000D)
    ]
    HRESULT _stdcall Referer([out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000000D)
    ]
    HRESULT _stdcall Referer([in] BSTR Value );
    [
    propget, 
    id(0x00000012)
    ]
    HRESULT _stdcall UserAgent([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000012)
    ]
    HRESULT _stdcall UserAgent([in] BSTR Value );
    [
    propget, 
    id(0x00000024)
    ]
    HRESULT _stdcall Proxy([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000024)
    ]
    HRESULT _stdcall Proxy([in] BSTR Value );
    [
    propget, 
    id(0x00000025)
    ]
    HRESULT _stdcall UseProxy([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000025)
    ]
    HRESULT _stdcall UseProxy([in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x00000026)
    ]
    HRESULT _stdcall ProxyUserId([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000026)
    ]
    HRESULT _stdcall ProxyUserId([in] BSTR Value );
    [
    propget, 
    id(0x00000027)
    ]
    HRESULT _stdcall ProxyPassword([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000027)
    ]
    HRESULT _stdcall ProxyPassword([in] BSTR Value );
  };

  [
    uuid(346442A3-B78F-49ED-99F2-B468F8AD8635), 
    version(1.0), 
    helpstring("UrlManager オブジェクト のイベント インターフェース")
  ]
   dispinterface IUrlManagerEvents
  {
    properties:
    methods:
  };

  [
    uuid(21C0DE0B-9111-46A5-973E-14A74CE2CA82), 
    version(1.0), 
    helpstring("UrlManager オブジェクト")
  ]
  coclass UrlManager
  {
    [default] interface IUrlManager;
    [default, source] dispinterface IUrlManagerEvents;
  };

  [
    uuid(552808B4-8E20-48EF-9168-262FCD0C566E), 
    version(1.4), 
    helpstring("Api オブジェクト のディスパッチ インターフェース"), 
    dual, 
    oleautomation
  ]
   interface IApi: IDispatch
  {
    [
    propget, 
    id(0x00000001), 
    helpstring("バージョン情報")
    ]
    HRESULT _stdcall Version([out, retval] BSTR * Value );
    [
    propget, 
    id(0x00000002), 
    helpstring("インスタンスハンドル")
    ]
    HRESULT _stdcall HInstance([out, retval] long * Value );
    [
    propget, 
    id(0x00000003), 
    helpstring("メインフォームハンドル")
    ]
    HRESULT _stdcall WindowHandle([out, retval] long * Value );
    [
    propget, 
    id(0x00000004), 
    helpstring("実行ファイルのPath")
    ]
    HRESULT _stdcall ApplicationPath([out, retval] BSTR * Value );
    [
    propget, 
    id(0x00000005), 
    helpstring("プラグインのPath")
    ]
    HRESULT _stdcall PluginsPath([out, retval] BSTR * Value );
    [
    propget, 
    id(0x00000006), 
    helpstring("インポートリストのPath")
    ]
    HRESULT _stdcall ImportPath([out, retval] BSTR * Value );
    [
    propget, 
    id(0x00000008), 
    helpstring("総ダウンロードバイト")
    ]
    HRESULT _stdcall TotalBytes([out, retval] double * Value );
    [
    propget, 
    id(0x00000009), 
    helpstring("総ダウンロードファイル数")
    ]
    HRESULT _stdcall TotalFiles([out, retval] double * Value );
    [
    propget, 
    id(0x0000000A), 
    helpstring("INIファイル名")
    ]
    HRESULT _stdcall IniFilename([out, retval] BSTR * Value );
    [
    id(0x0000000C), 
    helpstring("Urlリストを追加 Flag[0:通常 1:選択 2:展開]")
    ]
    HRESULT _stdcall AddUrl([in] BSTR Urls, [in] long Flag );
    [
    id(0x0000000D), 
    helpstring("リストを自動識別でインポート")
    ]
    HRESULT _stdcall Import([in] BSTR Filename );
    [
    id(0x0000000E), 
    helpstring("保存")
    ]
    HRESULT _stdcall Save( void );
    [
    id(0x0000000F), 
    helpstring("終了")
    ]
    HRESULT _stdcall Quit( void );
    [
    id(0x00000010), 
    helpstring("URLをダウンロード Flag[0: 通常 1: ダイアログ 2: フォルダダイアログ 3:すぐにダウンロード 4:すぐにダイアログ 5:すぐにキューフォルダ]")
    ]
    HRESULT _stdcall Download([in] BSTR Url, [in] long Flag );
    [
    propget, 
    id(0x00000011), 
    helpstring("スクリプトのPath")
    ]
    HRESULT _stdcall ScriptsPath([out, retval] BSTR * Value );
    [
    id(0x00000012), 
    helpstring("カレントキューのアイテムをクリア")
    ]
    HRESULT _stdcall Clear( void );
    [
    id(0x00000013), 
    helpstring("ウィンドウを最前列へ")
    ]
    HRESULT _stdcall ForegroundWindow( void );
    [
    id(0x00000014), 
    helpstring("カレントキューのアイテム開始 Flag[0: すべて 1:選択のみ]")
    ]
    HRESULT _stdcall Start([in] long Flag );
    [
    id(0x00000015), 
    helpstring("カレントキューのアイテムを停止 Flag[0: すべて 1:選択のみ]")
    ]
    HRESULT _stdcall Stop([in] long Flag );
    [
    id(0x00000016), 
    helpstring("ダイアルアップ")
    ]
    HRESULT _stdcall Dialup( void );
    [
    id(0x00000017), 
    helpstring("回線を切断")
    ]
    HRESULT _stdcall Hangup( void );
    [
    propget, 
    id(0x00000018), 
    helpstring("カレントキューのアイテム数")
    ]
    HRESULT _stdcall ItemCount([out, retval] long * Value );
    [
    id(0x0000001A), 
    helpstring("貼り付け Flag[0: 通常 1: URL展開]")
    ]
    HRESULT _stdcall Paste([in] long Flag );
    [
    id(0x0000001D), 
    helpstring("カレントキューフォルダ以下のフォルダを絶対Pathで列挙")
    ]
    HRESULT _stdcall EnumQueueFolders([in] BSTR AbsolutePath, [out, retval] BSTR * ResultFolders );
    [
    propget, 
    id(0x0000001B), 
    helpstring("カレントキューフォルダ名")
    ]
    HRESULT _stdcall CurrentQueueFolder([out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000001B), 
    helpstring("カレントキューフォルダ名")
    ]
    HRESULT _stdcall CurrentQueueFolder([in] BSTR Value );
    [
    id(0x0000001C), 
    helpstring("オプションデータ")
    ]
    HRESULT _stdcall GetOptionData([in] BSTR Section, [in] BSTR Ident, [out, retval] BSTR * Value );
    [
    id(0x0000001E), 
    helpstring("オプションデータをセット")
    ]
    HRESULT _stdcall SetOptionData([in] BSTR Section, [in] BSTR Ident, [in] BSTR Value );
    [
    id(0x0000001F), 
    helpstring("フォルダデータ")
    ]
    HRESULT _stdcall GetFolderData([in] BSTR Section, [in] BSTR Ident, [out, retval] BSTR * Value );
    [
    id(0x00000020), 
    helpstring("フォルダデータをセット")
    ]
    HRESULT _stdcall SetFolderData([in] BSTR Section, [in] BSTR Ident, [in] BSTR Value );
    [
    id(0x00000007), 
    helpstring("キューフォルダを作成 OpenFolder[Trueで作成フォルダへ移動]")
    ]
    HRESULT _stdcall CreateQueueFolder([in] BSTR Name, [in] VARIANT_BOOL OpenFolder, [out, retval] VARIANT_BOOL * Return );
    [
    id(0x0000000B), 
    helpstring("Iriaリストを加える")
    ]
    HRESULT _stdcall AddIRI([in] BSTR IriaListText );
    [
    id(0x00000021), 
    helpstring("リンクのインポートを起動")
    ]
    HRESULT _stdcall ImportLinks([in] BSTR Urls, [in] long Flag );
    [
    id(0x00000022), 
    helpstring("Referer付きでURLリストを追加")
    ]
    HRESULT _stdcall AddUrlAndReferer([in] BSTR Urls, [in] BSTR Referer, [in] long Flag );
    [
    id(0x00000023), 
    helpstring("キューフォルダを削除 Confirm[Trueで確認ダイアログ]")
    ]
    HRESULT _stdcall DeleteQueueFolder([in] BSTR AbsolutePath, [in] VARIANT_BOOL Confirm, [out, retval] VARIANT_BOOL * Result );
    [
    id(0x00000024), 
    helpstring("キューアイテムを作成します")
    ]
    HRESULT _stdcall CreateQueueItem([in] BSTR DataText, [in] VARIANT_BOOL Confirm, [out, retval] VARIANT_BOOL * Return );
    [
    id(0x00000025), 
    helpstring("Actionを実行します")
    ]
    HRESULT _stdcall ExecuteAction([in] BSTR ActionName, [out, retval] VARIANT_BOOL * Success );
    [
    propget, 
    id(0x00000027), 
    helpstring("選択アイテム数")
    ]
    HRESULT _stdcall SelectedItemCount([out, retval] long * Value );
    [
    id(0x00000028)
    ]
    HRESULT _stdcall GetItemData([in] long Index, [out, retval] BSTR * RetValue );
    [
    id(0x00000029)
    ]
    HRESULT _stdcall SetItemData([in] long Index, [in] BSTR Value );
    [
    id(0x0000002A)
    ]
    HRESULT _stdcall GetItemSelected([in] long Index, [out, retval] VARIANT_BOOL * RetValue );
    [
    id(0x0000002B)
    ]
    HRESULT _stdcall SetItemSelected([in] long Index, [in] VARIANT_BOOL Value );
    [
    id(0x00000019)
    ]
    HRESULT _stdcall UrlEncode([in] BSTR Str, [in] BSTR IgnoreChars, [in] VARIANT_BOOL SpaceToPlus, [out, retval] BSTR * RetValue );
    [
    id(0x00000026)
    ]
    HRESULT _stdcall UrlDecode([in] BSTR Str, [in] VARIANT_BOOL PlusToSpace, [out, retval] BSTR * RetValue );
    [
    id(0x0000002C)
    ]
    HRESULT _stdcall Invalidate( void );
    [
    id(0x0000002D)
    ]
    HRESULT _stdcall BeginProgressBar([in] long MaxCount );
    [
    id(0x0000002E)
    ]
    HRESULT _stdcall EndProgressBar( void );
    [
    id(0x0000002F)
    ]
    HRESULT _stdcall ProgressBarStepBy([in] long Delta );
    [
    id(0x00000030), 
    helpstring("アイテムを削除します")
    ]
    HRESULT _stdcall DeleteItem([in] long Index );
    [
    id(0x00000031), 
    helpstring("URLアイテムの保存ファイル名を取得します")
    ]
    HRESULT _stdcall GetItemFilename([in] long Index, [out, retval] BSTR * Filename );
    [
    id(0x00000032), 
    helpstring("キューフォルダを作成する OpenFolder[trueでフォルダを開く] Flag[1でダイアログを表示] RetAbsolutePath[作成したフォルダのPath]")
    ]
    HRESULT _stdcall ForceQueueFolders([in] BSTR AbsolutePath, [in] VARIANT_BOOL OpenFolder, [in] long Flag, [out, retval] BSTR * RetAbsolutePath );
    [
    id(0x00000033), 
    helpstring("フォルダを一つ上に移動する")
    ]
    HRESULT _stdcall UpQueueFolder([out, retval] VARIANT_BOOL * Success );
    [
    id(0x00000034), 
    helpstring("タブの切り替え 0でキュー　1で履歴")
    ]
    HRESULT _stdcall ChangeTab([in] long Mode );
    [
    id(0x00000035), 
    helpstring("ダウンロード途中のファイルのインデックスファイル名を得る")
    ]
    HRESULT _stdcall GetItemIndexFilename([in] long Index, [out, retval] BSTR * Filename );
    [
    id(0x00000036), 
    helpstring("アイテムの保存ファイルのサイズを得る")
    ]
    HRESULT _stdcall GetItemFileSize([in] long Index, [out, retval] long * FileSize );
    [
    id(0x00000037), 
    helpstring("ファイルのサイズを得る")
    ]
    HRESULT _stdcall GetFileSize([in] BSTR Filename, [out, retval] long * FileSize );
    [
    id(0x00000038), 
    helpstring("キューフォルダを列挙する　返値は相対パス")
    ]
    HRESULT _stdcall EnumQueueFolders2([in] BSTR AbsolutePath, [out, retval] BSTR * ResultFolders );
    [
    propget, 
    id(0x00000039), 
    helpstring("ステータスバーのテキスト")
    ]
    HRESULT _stdcall StatusBarText([out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000039), 
    helpstring("ステータスバーのテキスト")
    ]
    HRESULT _stdcall StatusBarText([in] BSTR Value );
    [
    propget, 
    id(0x0000003A)
    ]
    HRESULT _stdcall ActiveDownloadCount([out, retval] long * Value );
    [
    propget, 
    id(0x0000003B)
    ]
    HRESULT _stdcall ActiveQueueCount([out, retval] long * Value );
    [
    propget, 
    id(0x0000003C)
    ]
    HRESULT _stdcall Items([in] long Index, [out, retval] BSTR * ItemData );
    [
    propput, 
    id(0x0000003C)
    ]
    HRESULT _stdcall Items([in] long Index, [in] BSTR ItemData );
    [
    propget, 
    id(0x0000003D)
    ]
    HRESULT _stdcall ItemSelected([in] long Index, [out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x0000003D)
    ]
    HRESULT _stdcall ItemSelected([in] long Index, [in] VARIANT_BOOL Value );
    [
    propget, 
    id(0x0000003E)
    ]
    HRESULT _stdcall OptionData([in] BSTR Section, [in] BSTR Ident, [out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000003E)
    ]
    HRESULT _stdcall OptionData([in] BSTR Section, [in] BSTR Ident, [in] BSTR Value );
    [
    propget, 
    id(0x0000003F)
    ]
    HRESULT _stdcall FolderData([in] BSTR Section, [in] BSTR Ident, [out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000003F)
    ]
    HRESULT _stdcall FolderData([in] BSTR Section, [in] BSTR Ident, [in] BSTR Value );
    [
    id(0x00000040)
    ]
    HRESULT _stdcall OptionDataExists([in] BSTR Section, [in] BSTR Ident, [out, retval] VARIANT_BOOL * Existed );
    [
    id(0x00000041)
    ]
    HRESULT _stdcall FolderDataExists([in] BSTR Section, [in] BSTR Ident, [out, retval] VARIANT_BOOL * Existed );
    [
    id(0x00000042)
    ]
    HRESULT _stdcall StartImportLinks( void );
    [
    id(0x00000043)
    ]
    HRESULT _stdcall StopImportLinks( void );
    [
    id(0x00000044)
    ]
    HRESULT _stdcall AddQueueItem([in] BSTR ParentFolder, [in] BSTR DataText, [out, retval] BSTR * RetFolder );
    [
    propget, 
    id(0x00000045)
    ]
    HRESULT _stdcall Filtering([out, retval] VARIANT_BOOL * Value );
    [
    propput, 
    id(0x00000045)
    ]
    HRESULT _stdcall Filtering([in] VARIANT_BOOL Value );
    [
    id(0x00000046)
    ]
    HRESULT _stdcall DeleteQueueItem([in] long Index );
    [
    id(0x00000047)
    ]
    HRESULT _stdcall ClearImportLinks( void );
    [
    id(0x00000048)
    ]
    HRESULT _stdcall SaveImportLinks([in] BSTR Filename );
    [
    id(0x00000049)
    ]
    HRESULT _stdcall LoadImportLinks([in] BSTR Filename );
    [
    propget, 
    id(0x0000004C)
    ]
    HRESULT _stdcall Default([out, retval] IFolder ** Value );
    [
    propget, 
    id(0x0000004D)
    ]
    HRESULT _stdcall Trash([out, retval] IFolder ** Value );
    [
    propget, 
    id(0x0000004E)
    ]
    HRESULT _stdcall Root([out, retval] IFolder ** Value );
    [
    propget, 
    id(0x0000004F)
    ]
    HRESULT _stdcall Current([out, retval] IFolder ** Value );
    [
    propput, 
    id(0x0000004F)
    ]
    HRESULT _stdcall Current([in] IFolder * Value );
    [
    propget, 
    id(0x00000050)
    ]
    HRESULT _stdcall ImportLinksDepth([out, retval] long * Value );
    [
    propput, 
    id(0x00000050)
    ]
    HRESULT _stdcall ImportLinksDepth([in] long Value );
    [
    propget, 
    id(0x00000051)
    ]
    HRESULT _stdcall ImportLinksThreadCount([out, retval] long * Value );
    [
    propput, 
    id(0x00000051)
    ]
    HRESULT _stdcall ImportLinksThreadCount([in] long Value );
    [
    id(0x00000052)
    ]
    HRESULT _stdcall CloseImportLinks( void );
    [
    id(0x00000053)
    ]
    HRESULT _stdcall RegistImportLinks([in] BSTR FolderPath );
    [
    id(0x00000054)
    ]
    HRESULT _stdcall IsBusyImportLinks([out, retval] VARIANT_BOOL * Busy );
    [
    id(0x00000055)
    ]
    HRESULT _stdcall IsBusy([out, retval] VARIANT_BOOL * Busy );
    [
    propget, 
    id(0x00000056)
    ]
    HRESULT _stdcall ActiveFolderCount([out, retval] long * Value );
    [
    id(0x0000004A)
    ]
    HRESULT _stdcall FolderExists([in] BSTR AbsolutePath, [out, retval] VARIANT_BOOL * Existed );
    [
    id(0x0000004B)
    ]
    HRESULT _stdcall ExtractQueueItem([in] long Index );
    [
    id(0x00000057)
    ]
    HRESULT _stdcall ExpandUrls([in] BSTR Urls, [out, retval] BSTR * ExpandedUrls );
    [
    id(0x00000058)
    ]
    HRESULT _stdcall GetOptionValue([in] BSTR Ident, [out, retval] BSTR * Value );
    [
    id(0x00000059)
    ]
    HRESULT _stdcall SetOptionValue([in] BSTR Ident, [in] BSTR Value );
    [
    id(0x0000005A)
    ]
    HRESULT _stdcall OptionValueExists([in] BSTR Ident, [out, retval] VARIANT_BOOL * Existed );
    [
    id(0x0000005B)
    ]
    HRESULT _stdcall GetFolderValue([in] BSTR Ident, [out, retval] BSTR * Value );
    [
    id(0x0000005C)
    ]
    HRESULT _stdcall SetFolderValue([in] BSTR Ident, [in] BSTR Value );
    [
    id(0x0000005D)
    ]
    HRESULT _stdcall FolderValueExists([in] BSTR Ident, [out, retval] VARIANT_BOOL * Existed );
    [
    propget, 
    id(0x0000005E)
    ]
    HRESULT _stdcall OptionValues([in] BSTR Ident, [out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000005E)
    ]
    HRESULT _stdcall OptionValues([in] BSTR Ident, [in] BSTR Value );
    [
    propget, 
    id(0x0000005F)
    ]
    HRESULT _stdcall FolderValues([in] BSTR Ident, [out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000005F)
    ]
    HRESULT _stdcall FolderValues([in] BSTR Ident, [in] BSTR Value );
    [
    id(0x00000060)
    ]
    HRESULT _stdcall Update( void );
    [
    id(0x00000061)
    ]
    HRESULT _stdcall ShowMessage([in] BSTR Title, [in] BSTR Msg, [in] long Interval );
    [
    id(0x00000062)
    ]
    HRESULT _stdcall ExecuteScript([in] BSTR Event, [in] BSTR GUIDSt, [out, retval] long * RetValue );
    [
    id(0x00000063)
    ]
    HRESULT _stdcall FlashTrayIcon( void );
    [
    propget, 
    id(0x00000064)
    ]
    HRESULT _stdcall Build([out, retval] long * Value );
    [
    id(0x00000065)
    ]
    HRESULT _stdcall BeginUpdate( void );
    [
    id(0x00000066)
    ]
    HRESULT _stdcall EndUpdate( void );
  };

  [
    uuid(9D18DB2E-D84C-4318-817E-0883141597EF), 
    version(1.0), 
    helpstring("Folder オブジェクト のディスパッチ インターフェース"), 
    dual, 
    oleautomation
  ]
   interface IFolder: IDispatch
  {
    [
    propget, 
    id(0x00000001)
    ]
    HRESULT _stdcall ItemCount([out, retval] long * Value );
    [
    propget, 
    id(0x00000002)
    ]
    HRESULT _stdcall Items([in] long Index, [out, retval] IItem ** Item );
    [
    propput, 
    id(0x00000002)
    ]
    HRESULT _stdcall Items([in] long Index, [in] IItem * Item );
    [
    propget, 
    id(0x00000003)
    ]
    HRESULT _stdcall FolderCount([out, retval] long * Value );
    [
    propget, 
    id(0x00000005)
    ]
    HRESULT _stdcall Folders([in] long Index, [out, retval] IFolder ** Value );
    [
    id(0x00000006)
    ]
    HRESULT _stdcall IsCurrent([out, retval] VARIANT_BOOL * Value );
    [
    id(0x00000007)
    ]
    HRESULT _stdcall IsDefault([out, retval] VARIANT_BOOL * Value );
    [
    id(0x00000008)
    ]
    HRESULT _stdcall IsTrash([out, retval] VARIANT_BOOL * Value );
    [
    id(0x00000009)
    ]
    HRESULT _stdcall IsRoot([out, retval] VARIANT_BOOL * Value );
    [
    propget, 
    id(0x0000000A)
    ]
    HRESULT _stdcall Parent([out, retval] IFolder ** Value );
    [
    propget, 
    id(0x0000000B)
    ]
    HRESULT _stdcall Data([in] BSTR Section, [in] BSTR Ident, [out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000000B)
    ]
    HRESULT _stdcall Data([in] BSTR Section, [in] BSTR Ident, [in] BSTR Value );
    [
    propget, 
    id(0x0000000C)
    ]
    HRESULT _stdcall Count([out, retval] long * Value );
    [
    propget, 
    id(0x0000000D)
    ]
    HRESULT _stdcall AbsolutePath([out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000000D)
    ]
    HRESULT _stdcall AbsolutePath([in] BSTR Value );
    [
    id(0x0000000E)
    ]
    HRESULT _stdcall DataExists([in] BSTR Section, [in] BSTR Ident, [out, retval] VARIANT_BOOL * RetVal );
    [
    propget, 
    id(0x0000000F)
    ]
    HRESULT _stdcall Path([out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000000F)
    ]
    HRESULT _stdcall Path([in] BSTR Value );
    [
    propget, 
    id(0x00000010)
    ]
    HRESULT _stdcall Name([out, retval] BSTR * Value );
    [
    id(0x00000011)
    ]
    HRESULT _stdcall AddItemData([in] BSTR DataText, [out, retval] long * Index );
    [
    id(0x00000012)
    ]
    HRESULT _stdcall DeleteItem([in] long Index );
    [
    id(0x00000013)
    ]
    HRESULT _stdcall Start( void );
    [
    id(0x00000014)
    ]
    HRESULT _stdcall Stop( void );
    [
    id(0x00000015)
    ]
    HRESULT _stdcall StartItem([in] long Index );
    [
    id(0x00000016)
    ]
    HRESULT _stdcall StopItem([in] long Index );
    [
    id(0x00000017)
    ]
    HRESULT _stdcall GetItemFilename([in] long Index, [out, retval] BSTR * Filename );
    [
    id(0x00000018)
    ]
    HRESULT _stdcall GetItemIndexFilename([in] long Index, [out, retval] BSTR * IndexFilename );
    [
    id(0x00000019)
    ]
    HRESULT _stdcall GetItemFileSize([in] long Index, [out, retval] long * FileSize );
    [
    id(0x0000001A)
    ]
    HRESULT _stdcall DownloadItem([in] long Index );
    [
    propget, 
    id(0x0000001B)
    ]
    HRESULT _stdcall ItemData([in] long Index, [out, retval] BSTR * Value );
    [
    propput, 
    id(0x0000001B)
    ]
    HRESULT _stdcall ItemData([in] long Index, [in] BSTR Value );
    [
    id(0x0000001C)
    ]
    HRESULT _stdcall AddItem([in] IItem * Item, [out, retval] long * Index );
    [
    id(0x0000001D)
    ]
    HRESULT _stdcall IsBusy([out, retval] VARIANT_BOOL * Busy );
    [
    propget, 
    id(0x0000001E)
    ]
    HRESULT _stdcall ActiveDownloadCount([out, retval] long * Value );
    [
    propget, 
    id(0x0000001F)
    ]
    HRESULT _stdcall ActiveQueueCount([out, retval] long * Value );
    [
    id(0x00000004)
    ]
    HRESULT _stdcall Exists([out, retval] VARIANT_BOOL * Existed );
    [
    id(0x00000020)
    ]
    HRESULT _stdcall Make([out, retval] VARIANT_BOOL * OK );
    [
    id(0x00000021)
    ]
    HRESULT _stdcall ExtractItem([in] long Index );
    [
    propget, 
    id(0x00000022)
    ]
    HRESULT _stdcall Values([in] BSTR Ident, [out, retval] BSTR * Value );
    [
    propput, 
    id(0x00000022)
    ]
    HRESULT _stdcall Values([in] BSTR Ident, [in] BSTR Value );
    [
    id(0x00000023)
    ]
    HRESULT _stdcall ValueExists([in] BSTR Ident, [out, retval] VARIANT_BOOL * Existed );
    [
    id(0x00000024)
    ]
    HRESULT _stdcall AssignData([in] IFolder * Source );
  };

}; 